Bug 19657 - Move lists templates JS to the footer
Summary: Move lists templates JS to the footer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-20 16:47 UTC by Owen Leonard
Modified: 2017-12-14 17:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19657: Move lists templates JS to the footer (28.71 KB, patch)
2017-11-20 17:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19657: Move lists templates JS to the footer (28.77 KB, patch)
2017-11-22 10:40 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19657: Move lists templates JS to the footer (28.83 KB, patch)
2017-12-07 08:14 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-20 16:47:40 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for lists templates.
Comment 1 Owen Leonard 2017-11-20 17:08:06 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-22 10:40:17 UTC
Created attachment 69271 [details] [review]
Bug 19657: Move lists templates JS to the footer

This patch modifies the staff client's lists templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
lists page: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-07 08:14:06 UTC
Created attachment 69596 [details] [review]
Bug 19657: Move lists templates JS to the footer

This patch modifies the staff client's lists templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of the
lists page: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:36:45 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 17:52:58 UTC
Awesome work all! Skipping for 17.11, enhancement